<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'chemical',

    /*
     * Package.
     */
    'package'   => 'export',

    /*
     * Modules.
     */
    'modules'   => ['export'],

    
    'export'       => [
        'model' => [
            'model'                 => \Chemical\Export\Models\Export::class,
            'table'                 => 'exports',
            'presenter'             => \Chemical\Export\Repositories\Presenter\ExportPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'seller_id',  'product_id',  'country_id',  'producer_name',  'hs_code',  'weight',  'value',  'avg_weight',  'avg_value',  'no_of_shipments',  'import_date',  'details',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'export/export',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Chemical',
            'package'   => 'Export',
            'module'    => 'Export',
        ],

    ],
];
