<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateExportsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: exports
         */
        Schema::create('exports', function ($table) {
            $table->increments('id');
            $table->integer('seller_id')->nullable();
            $table->integer('product_id')->nullable();
            $table->integer('country_id')->nullable();
            $table->string('producer_name', 255)->nullable();
            $table->string('hs_code', 255)->nullable();
            $table->float('weight')->nullable();
            $table->float('value')->nullable();
            $table->float('avg_weight')->nullable();
            $table->float('avg_value')->nullable();
            $table->integer('no_of_shipments')->nullable();
            $table->date('import_date')->nullable();
            $table->text('details')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('exports');
    }
}
