<?php

namespace Chemical\Export;

use User;

class Export
{
    /**
     * $export object.
     */
    protected $export;

    /**
     * Constructor.
     */
    public function __construct(\Chemical\Export\Interfaces\ExportRepositoryInterface $export)
    {
        $this->export = $export;
    }

    /**
     * Returns count of export.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.export.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->export->pushCriteria(new \Litepie\Chemical\Repositories\Criteria\ExportUserCriteria());
        }

        $export = $this->export->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('export::' . $view, compact('export'))->render();
    }
}
