<?php

namespace Chemical\Export\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ExportTransformer extends TransformerAbstract
{
    public function transform(\Chemical\Export\Models\Export $export)
    {
        return [
            'id'                => $export->getRouteKey(),
            'key'               => [
                'public'    => $export->getPublicKey(),
                'route'     => $export->getRouteKey(),
            ], 
            'id'                => $export->id,
            'seller_id'         => $export->seller_id,
            'product_id'        => $export->product_id,
            'country_id'        => $export->country_id,
            'producer_name'     => $export->producer_name,
            'hs_code'           => $export->hs_code,
            'weight'            => $export->weight,
            'value'             => $export->value,
            'avg_weight'        => $export->avg_weight,
            'avg_value'         => $export->avg_value,
            'no_of_shipments'   => $export->no_of_shipments,
            'import_date'       => $export->import_date,
            'details'           => $export->details,
            'created_at'        => $export->created_at,
            'updated_at'        => $export->updated_at,
            'deleted_at'        => $export->deleted_at,
            'url'               => [
                'public'    => trans_url('export/'.$export->getPublicKey()),
                'user'      => guard_url('export/export/'.$export->getRouteKey()),
            ], 
            'status'            => trans('app.'.$export->status),
            'created_at'        => format_date($export->created_at),
            'updated_at'        => format_date($export->updated_at),
        ];
    }
}